import React from 'react';
import Tether from 'tether';
import { Cancelable } from 'lodash';
import { FoundationTetherProps } from './types';
declare class FoundationTether extends React.PureComponent<FoundationTetherProps> {
    static defaultProps: {
        children: null;
        target: () => void;
        tetherTo: string;
        width: null;
    };
    child: HTMLElement | null;
    onResize: (() => null | undefined | Cancelable) | null;
    tether: Tether | null;
    tetherElement: HTMLElement | null;
    constructor(props: FoundationTetherProps);
    componentDidMount(): void;
    componentDidUpdate(): void;
    componentWillUnmount(): void;
    getOptions: (overrides?: {}) => Tether.ITetherOptions;
    setOrientation: () => void;
    render(): React.ReactNode;
}
export default FoundationTether;
